podlators 4.01

The previous release, switching to Module::Build, created a circular dependency with Module::Build itself with older versions of Perl. I pondered various ways to get around this, since I'm no longer a fan of ExtUtils::MakeMaker, but I finally decided that I was being silly. So podlators now just uses ExtUtils::MakeMaker — it does support the new metadata keys these days — rather than trying to support two separate build systems. (ExtUtils::MakeMaker is required for Perl core integration.)

This release also didn't fix the problems with Term::Cap 1.16 in particular (although it worked with 1.17). That's also now fixed in this release by ensuring that Pod::Text::Termcap doesn't override an existing TERMPATH environment variable setting, something it shouldn't have been doing in the first place.

You can get the latest release from the podlators distribution page.

Posted: 2015-12-01 21:40 — Why no comments?

Last modified and spun 2015-12-03